package abacus.springboot.example.api.view;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(description = "稽查货品" , name = "ApiRespJcPorduct")
public class ApiRespJcPorduct {
	
	@Schema(description="稽查单号", required = false, example="JC202501090002")
	private String billId;
	
	@Schema(description="入库单号", required = false, example="WDT2292992992")
	private String stockInId;
	
	@Schema(description="回购单号", required = false, example="HG202501090002")
	private String hgId;
	
	@Schema(description="出库单号", required = false, example="WDTCK202501090001")
	private String stockOutId;
	
	@Schema(description="客户信息", required = false, example="")
	private List<ApiRespJcPorductAcount> accounts;

	public String getBillId() {
		return billId;
	}

	public void setBillId(String billId) {
		this.billId = billId;
	}

	public String getStockInId() {
		return stockInId;
	}

	public void setStockInId(String stockInId) {
		this.stockInId = stockInId;
	}

	public String getHgId() {
		return hgId;
	}

	public void setHgId(String hgId) {
		this.hgId = hgId;
	}

	public String getStockOutId() {
		return stockOutId;
	}

	public void setStockOutId(String stockOutId) {
		this.stockOutId = stockOutId;
	}

	public List<ApiRespJcPorductAcount> getAccounts() {
		return accounts;
	}

	public void setAccounts(List<ApiRespJcPorductAcount> accounts) {
		this.accounts = accounts;
	}
}
